## org.apache.fop.dom.svg
Class SVGArea

    java.lang.Object
      |
      +--org.apache.fop.layout.Box
            |
            +--org.apache.fop.layout.Area
                  |
                  +--org.apache.fop.dom.svg.SVGArea

public class SVGArea
extends Area
implements org.w3c.dom.svg.GetSVGDocument

class representing an SVG area in which the SVG graphics sit

Fields inherited from class org.apache.fop.layout.Area

`allocationWidth, backgroundColor, borderColorBottom, borderColorLeft, borderColorRight, borderColorTop, borderStyleBottom, borderStyleLeft, borderStyleRight, borderStyleTop, borderWidthBottom, borderWidthLeft, borderWidthRight, borderWidthTop, children, contentRectangleWidth, currentHeight, foCreator, fontState, maxHeight, paddingBottom, paddingLeft, paddingRight, paddingTop, page, tableCellXOffset`

Fields inherited from class org.apache.fop.layout.Box
`areaTree, parent`

Constructor Summary
`SVGArea(FontState fontState, float width, float height)` construct an SVG area

Method Summary
`org.w3c.dom.svg.SVGDocument` `getSVGDocument()`
`int` `getWidth()`
`void` `render(Renderer renderer)` render the SVG.
`void` `setSVGDocument(org.w3c.dom.svg.SVGDocument doc)`

Methods inherited from class org.apache.fop.layout.Area

`addChild, addChildAtStart, addDisplaySpace, end, getAbsoluteHeight, getAllocationWidth, getBackgroundColor, getChildren, getContentHeight, getContentWidth, getfoCreator, getFontInfo, getFontState, getHeight, getIDReferences, getMaxHeight, getNearestAncestorAreaContainer, getPaddingBottom, getPaddingLeft, getPaddingRight, getPaddingTop, getPage, getParent, getTableCellXOffset, increaseAbsoluteHeight, increaseHeight, remove, removeChild, removeChild, setAbsoluteHeight, setAllocationWidth, setBackgroundColor, setBorderColor, setBorderStyle, setBorderWidth, setHeight, setIDReferences, setMaxHeight, setPadding, setPage, setParent, setTableCellXOffset, spaceLeft, start`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SVGArea

    public SVGArea(FontState fontState,
                   float width,
                   float height)

  construct an SVG area
  Parameters:
    `fontState` - the font state
    `width` - the width of the area
    `height` - the height of the area

Method Detail

### setSVGDocument

    public void setSVGDocument(org.w3c.dom.svg.SVGDocument doc)

### getSVGDocument

    public org.w3c.dom.svg.SVGDocument getSVGDocument()
                                               throws org.w3c.dom.DOMException

  Specified by:
    getSVGDocument in interface org.w3c.dom.svg.GetSVGDocument

### getWidth

    public int getWidth()

### render

    public void render(Renderer renderer)

  render the SVG.
  Overrides:
    render in class Box
  Parameters:
    `renderer` - the Renderer to use

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.